## ivritex 1.0-2

=== Makefile ===
SUBDIRS=latex/heblatex fonts bibtex/hebbib #example

include ivritex.mk

do_install:

# Any idea why does the CVS server reports the 'Attic' files when I run 'cvs
# log -R'?
update_list:
	$(CVS) log -R 2>/dev/null | $(GREP) -v '^?' |$(GREP) -v 'Attic/'\
	    |$(SED) -e 's|.*/ivritex/||' -e 's/,v$$//' \
	    > $(FILES_LIST_FILE)

pack: $(TAR_BALL)
	
$(TAR_BALL): $(FILES_LIST)
	$(RM) -r $(TAR_BALL_DIR)
	$(MKDIR) $(TAR_BALL_DIR)
	for file in $(FILES_LIST); do                  \
	  dir="`$(DIRNAME) $${file}`";                 \
	  $(MKDIR) -p "$(TAR_BALL_DIR)/$${dir}";        \
	  $(CP) "$${file}" "$(TAR_BALL_DIR)/$${file}"; \
	done
	$(TAR) -cvzf $(TAR_BALL) $(TAR_BALL_DIR)

rpm: $(TAR_BALL)
	rpm -tb $(TAR_BALL)

# The debian file is created directly from the repository
deb:
	dpkg-buildpackage -rfakeroot

$(RPM_SPEC): $(RPM_SPEC).in $(CONFIG_MAKEFILE)
	cat $< | \
	  sed -e 's%@HEBBIB_SUBDIR@%$(HEBBIB_SUBDIR)%' \
	      -e 's%@HEBLATEX_SUBDIR@%$(HEBLATEX_SUBDIR)%' \
	      -e 's%@HEBLATEX_DOC_SUBDIR@%$(HEBLATEX_DOC_SUBDIR)%' \
	      -e 's%@VERSION@%$(VERSION)%' \
	  > $@

=== example/Makefile ===
SUBDIRS=article guide letter thesis tests

include ../ivritex.mk

=== example/article/Makefile ===
TEX_SRC=hebart

include ../../ivritex.mk

=== example/guide/Makefile ===
TEX_SRC=hebguide

include ../../ivritex.mk

=== example/tests/Makefile ===
TEX_SRC=hebhello

include ../../ivritex.mk

=== latex/heblatex/Makefile ===
PACKAGE=heblatex
VERSION=2.3d
SOURCES=hebtech.dtx hebrew.ins hebrew.fdd hebrew.dtx hebinp.dtx heb209.dtx
INSTALL_FILE=hebrew.ins
FILES_TO_COPY=*.cls *.sty *.def *.fd *.ldf 
CLEAN=$(FILES_TO_COPY) $(DOC_FILES) *.log *~ *.dvi *.aux *.toc *.glo \
      *.idx *.gls *.ilg

DTX_FILES=hebrew
DOC_FILES=$(DTX_FILES:%=%.ps)
# hebrew.ins creates many files. I choose hebtech, which is the last of them,
# to represent them all. This is not very robust...
SAMPLE_TARGET=hebtech.cls
TARGETS=$(SAMPLE_TARGET) doc

# for the packaging:
PACKAGE_FILES_LIST = BUGS.txt Makefile README.1st README.txt README.html\
heb209.dtx hebinp.dtx hebrew.dtx hebrew.fdd hebrew.ins hebtech.dtx
TAR_BALL_DIR=$(PACKAGE)-$(VERSION)
TAR_BALL=$(TAR_BALL_DIR).tar.gz

include ../../ivritex.mk

doc: $(DOC_FILES)

# the nodo target is useful if you wish to just re-create the class files from
# the sources and not waste time on typesetting the documentation
nodoc: $(SAMPLE_TARGET)

$(SAMPLE_TARGET): $(SOURCES)
	# Clean everything, otherwise latex will stop to ask questions
	-rm -f $(CLEAN)
	$(LATEX) $(INSTALL_FILE)

do_install: $(SAMPLE_TARGET) $(DOC_FILES)
	$(MKDIR) -p $(HEBREW_TARGET_DIR)
	$(CP) $(FILES_TO_COPY) $(HEBREW_TARGET_DIR)
	$(MKDIR) -p $(HEBREW_TARGET_DOC_DIR)
	$(CP) $(DOC_FILES) $(HEBREW_TARGET_DOC_DIR)

pack: $(TAR_BALL)

$(TAR_BALL): $(PACKAGE_FILES_LIST)
	if [ -e $(TAR_BALL_DIR) ] ; then \
	  $(RM) -rf $(TAR_BALL_DIR);     \
	fi
	$(MKDIR) $(TAR_BALL_DIR)
	$(CP) $(PACKAGE_FILES_LIST) $(TAR_BALL_DIR)
	$(TAR) cvzf $(TAR_BALL) $(TAR_BALL_DIR)

=== debian/changelog ===
ivritex (1.0-2) unstable; urgency=low

  * dpkg-divert files of tetex-base (babel files) (Closes: bug#135090)

 -- Baruch Even <baruch@debian.org>  Sat, 23 Feb 2002 19:54:06 +0200

ivritex (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Baruch Even <baruch@debian.org>  Sat,  2 Feb 2002 17:23:23 +0200

=== debian/control ===
Source: ivritex
Section: tex
Priority: optional
Maintainer: Baruch Even <baruch@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), tetex-extra (>= 1.0)
Standards-Version: 3.5.2

Package: ivritex
Architecture: all
Depends: tetex-extra (>= 1.0)
Description: Hebrew Package for the babel system and LaTeX2e
 A support package for the Hebrew language. Based on the old LaTeX 2.09
 hebrew.sty and is backward compatible with it. A babel-based language
 switching interface is also supported.
 .
 Includes Hebrew support for babel/LaTeX 2e (heblatex), Hebrew fonts, 
 (hebfonts), examples of hebrew documents (hebexmpl) and documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

BABEL_SRC = /usr/share/texmf/source/generic/babel

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ivritex
	$(MAKE) copy_only PREFIX=$(CURDIR)/debian/ivritex/usr \
	   IVRITEX_DIR=ivritex

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs 
#	dh_installexamples example/*
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ivritex 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS=latex/heblatex fonts bibtex/hebbib #example
+SUBDIRS=latex/heblatex latex/hebclass fonts bibtex/hebbib example
 
 include ivritex.mk
 
@@ -35,5 +35,7 @@
 	  sed -e 's%@HEBBIB_SUBDIR@%$(HEBBIB_SUBDIR)%' \
 	      -e 's%@HEBLATEX_SUBDIR@%$(HEBLATEX_SUBDIR)%' \
 	      -e 's%@HEBLATEX_DOC_SUBDIR@%$(HEBLATEX_DOC_SUBDIR)%' \
+	      -e 's%@HEBCLASS_SUBDIR@%$(HEBCLASS_SUBDIR)%' \
+	      -e 's%@HEBCLASS_DOC_SUBDIR@%$(HEBCLASS_DOC_SUBDIR)%' \
 	      -e 's%@VERSION@%$(VERSION)%' \
 	  > $@

=== example/Makefile ===
SUBDIRS=article guide letter thesis tests

ROOT_DIR=..
include $(ROOT_DIR)/ivritex.mk

do_install:

=== bibtex/hebbib/Makefile ===
BSTFILES=hplain.bst lhplain.bst rhplain.bst

include ../../ivritex.mk

do_install:
	install -d $(IVRITEX_BIBDIR)
	install -m644 $(BSTFILES) $(IVRITEX_BIBDIR)

=== example/article/Makefile ===
TEX_SRC=hebart

ROOT_DIR=../..
include $(ROOT_DIR)/ivritex.mk

do_install:

=== example/guide/Makefile ===
TEX_SRC=hebguide

ROOT_DIR=../..
include $(ROOT_DIR)/ivritex.mk

do_install:

=== example/letter/Makefile ===
TEX_SRC=heblet

ROOT_DIR=../..
include $(ROOT_DIR)/ivritex.mk

do_install:

=== example/tests/Makefile ===
TEX_SRC=hebhello test_color

ROOT_DIR=../..
include $(ROOT_DIR)/ivritex.mk

do_install:

=== example/thesis/Makefile ===
TEX_SRC=thesis

ROOT_DIR=../..
include $(ROOT_DIR)/ivritex.mk

do_install:

=== latex/hebclass/Makefile ===
PACKAGE=hebclass
VERSION=0.2
SOURCES=hebclass.ins hebtech.dtx 
INSTALL_FILE=hebclass.ins
FILES_TO_COPY=*.cls tcourse.sty
CLEAN=hebtech.cls hebthes.tex $(DOC_FILES) *.log *~ *.dvi *.aux *.toc \
      i*.glo *.idx *.gls *.ilg

TEX_SRC=iitcsw iitsmnr tcourse hebthes
DTX_FILES=hebtech
DOC_FILES=$(DTX_FILES:%=%.ps) 
SAMPLE_TARGET=hebtech.cls
TARGETS=$(SAMPLE_TARGET) doc

# for the packaging:
PACKAGE_FILES_LIST = $(SOURCES) iitcsw.cls iitcsw-course.sty \
  iitcsw-samplefig.eepic iitsmnr.cls Makefile README tcourse.sty \
  $(TEX_FILES:%=%.tex)
TAR_BALL_DIR=$(PACKAGE)-$(VERSION)
TAR_BALL=$(TAR_BALL_DIR).tar.gz

ROOT_DIR=../..
include $(ROOT_DIR)/ivritex.mk

doc: $(DOC_FILES)

# the nodoc target is useful if you wish to just re-create the class files from
# the sources and not waste time on typesetting the documentation
nodoc: $(SAMPLE_TARGET)

hebtech.cls hebthes.tex: hebtech.dtx

$(SAMPLE_TARGET): $(SOURCES)
	# Clean everything, otherwise latex will stop to ask questions
	$(RM) $(CLEAN)
	$(LATEX) $(INSTALL_FILE)

do_install: $(SAMPLE_TARGET) $(DOC_FILES)
	$(MKDIR) -p $(HEBCLASS_TARGET_DIR)
	$(CP) $(FILES_TO_COPY) $(HEBCLASS_TARGET_DIR)
	$(MKDIR) -p $(HEBCLASS_TARGET_DOC_DIR)
	$(CP) $(DOC_FILES) $(HEBCLASS_TARGET_DOC_DIR)

pack: $(TAR_BALL)

$(TAR_BALL): $(PACKAGE_FILES_LIST)
	if [ -e $(TAR_BALL_DIR) ] ; then \
	  $(RM) -rf $(TAR_BALL_DIR);     \
	fi
	$(MKDIR) $(TAR_BALL_DIR)
	$(CP) $(PACKAGE_FILES_LIST) $(TAR_BALL_DIR)
	$(TAR) cvzf $(TAR_BALL) $(TAR_BALL_DIR)

=== latex/heblatex/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 PACKAGE=heblatex
-VERSION=2.3d
-SOURCES=hebtech.dtx hebrew.ins hebrew.fdd hebrew.dtx hebinp.dtx heb209.dtx
+VERSION=2.3f
+SOURCES=hebrew.ins hebrew.fdd hebrew.dtx hebinp.dtx heb209.dtx
 INSTALL_FILE=hebrew.ins
-FILES_TO_COPY=*.cls *.sty *.def *.fd *.ldf 
+FILES_TO_COPY=*.sty *.def *.fd *.ldf 
 CLEAN=$(FILES_TO_COPY) $(DOC_FILES) *.log *~ *.dvi *.aux *.toc *.glo \
       *.idx *.gls *.ilg
 
@@ -10,7 +10,8 @@
 DOC_FILES=$(DTX_FILES:%=%.ps)
 # hebrew.ins creates many files. I choose hebtech, which is the last of them,
 # to represent them all. This is not very robust...
-SAMPLE_TARGET=hebtech.cls
+# this is the last file created in hebrew.ins
+SAMPLE_TARGET=hebrew_oldcode.sty
 TARGETS=$(SAMPLE_TARGET) doc
 
 # for the packaging:
@@ -19,7 +20,8 @@
 TAR_BALL_DIR=$(PACKAGE)-$(VERSION)
 TAR_BALL=$(TAR_BALL_DIR).tar.gz
 
-include ../../ivritex.mk
+ROOT_DIR=../..
+include $(ROOT_DIR)/ivritex.mk
 
 doc: $(DOC_FILES)
